#ifndef __NAMEWIDGET__
#define __NAMEWIDGET__

#include <qpushbt.h>
#include <qlabel.h>
#include <qframe.h>
#include <qwindow.h>
#include <qpushbt.h>
#include <qlined.h>
#include <qradiobt.h>
#include <qcombo.h>
#include <qdialog.h>
#include <qchkbox.h>
#include <qstring.h>
#include <cddalist.h>

class namewidget : public QWidget {
	Q_OBJECT
public:
	namewidget(QWidget *parent=NULL, const char *name=NULL, TodoList *todolist=NULL );
	~namewidget();

	QComboBox *QComboBox_file_1,
		  *QComboBox_file_2,
		  *QComboBox_file_3,
		  *QComboBox_file_4,
		  *QComboBoxType;
	QLineEdit *QLineEdit_file_1,
		  *QLineEdit_file_2,
		  *QLineEdit_file_3,
		  *QLineEdit_file_4;
	QCheckBox *QCheckButton_create_groupdir,
		  *QCheckButton_create_albumdir;

public slots:
signals:
	void destroy_namewidget();
protected:
protected slots:
private slots:
	void invokeHelp();
	void finish();
	void save_input();
	void update_view();
	void update_view_filename(const char *);
	void update_view_filename(int);
	QString update_filename( unsigned int nr);
	QString update_filename_sub( unsigned int id, unsigned int nr);
	void previous_file();	
	void next_file();
	void closeEvent( QCloseEvent * );

private:
	TodoList *todolist_n;
	unsigned int todolist_nr;
	bool     init;

	QLabel *QYearInfo,
	       *QTypeInfo,
	       *QCommentInfo,
	       *QLabel_filename,
               *QGroupInfo,
	       *QLabel_AlbumInfo,
	       *QLabel_FileInfo;
	QPushButton *QPushButton_p_file,
 		    *QPushButton_n_file,
		    *QPushButton_Finish,
		    *QPushButton_Help;
	QLineEdit *QLineEdit_group,
		  *QLineEdit_year,
		  *QLineEdit_comment,
		  *QLineEdit_album,
		  *QLineEdit_title;
	
	void initLayout(void);
};
#endif 
